Subject: [irtf-discuss] Workshop and Tutorial on "Interconnecting Smart Objects with the Internet"

From: Hannes Tschofenig <[email-masked]>
Date: Thu, 13 Jan 2011 12:32:29 +0200

Hi all, 

in case you have not seen the announcement we are preparing a workshop (Friday 25th March) and a tutorial (Saturday 26th March) on "Interconnecting Smart Objects with the Internet".

Your contributions are highly appreciated. 

More information can be found here: 
- Workshop: http://www.iab.org/about/workshops/smartobjects/
- Tutorial: http://www.iab.org/about/workshops/smartobjects/tutorial.html

Ciao
Hannes

Begin forwarded message:

> From: IETF Secretariat <[email-masked]>
> Date: January 11, 2011 8:50:38 PM GMT+02:00
> To: IETF Announcement list <[email-masked]>
> Subject: IAB and INT Area Workshop on "Interconnecting Smart Objects with the Internet" 
> 
> The Internet Architecture Board and the IETF Internet Area will hold a
> workshop on the Friday, 25th March 2011 in Prague on the topic:
> 
> "Interconnecting Smart Objects with the Internet"
> 
> Attached to this workshop is a tutorial day on the same topic on
> Saturday, 26th March 2011. Please find more information about it at:
> http://www.iab.org/about/workshops/smartobjects/tutorial.html
> 
> - Background
> 
> Today's Internet is experienced by users as a set of applications, such
> as email, instant messaging, and social networks. While these applications
> do not require users to be present at the time of service execution in
> many cases they are. There are also substantial differences in performance
> between the various end devices, but in general end devices participating
> in the Internet are considered to have high performance.
> 
> As we move forward with the interconnection of all kinds of devices via
> the Internet, these characteristics will change. The term "Internet of
> Things" denotes a trend where a large number of devices benefit from
> communication services that use Internet protocols. Many of these devices
> are not directly operated by humans, but exist as components in buildings,
> vehicles, and the environment. There will be a lot of variation in the
> computing power, available memory, and communications bandwidth between
> different types of devices.
> 
> Many of these devices provide new services or provide more value for
> previously unconnected devices. Some devices have been connected in
> various legacy ways in the past but are now migrating to the use of the
> Internet Protocol, sharing the same communications medium between all
> applications and enabling rich communications services.
> 
> Much of this development can simply run on existing Internet protocols.
> For instance, home entertainment and monitoring systems often offer a web
> interface to the end user. In many cases the new, constrained environments
> can benefit from additional protocols that help optimize the
> communications and lower the computational requirements. Examples of
> standardization efforts targeted for these environments include the
> "Constrained RESTful Environments (CoRE)", IPv6 over Low power WPAN
> (6LoWPAN)", and Routing Over Low power and Lossy networks (ROLL)" working
> groups at the IETF.
> 
> This workshop aims to explore the experience and approaches taken by
> researchers and developers of Internet technology, when considering the
> characteristics of constrained devices. Engineers know that many design
> considerations need to be taken into account when developing protocols and
> architecture. Balancing between the conflicting goals of computing
> performance, code size, economical incentives, and security is often
> difficult, as illustrated by Clark, et al. in "Tussle in Cyberspace:
> Defining Tomorrow's Internet", see
> http://groups.csail.mit.edu/ana/Publications/PubPDFs/Tussle2002.pdf
> 
> This workshop aims to discuss the experience and approaches taken when
> designing protocols and architectures for interconnecting smart objects to
> the Internet. To frame the discussion we suggest, as examples, to
> investigate the area of integration in the following categories:
> * Scalability
> * Power efficiency
> * Interworking between different technologies and network domains
> * Usability and manageability
> * Security and Privacy
> 
> The goal of the IETF is "to make the Internet work better" and the
> workshop organizers are interested in receiving contributions that support
> this goal. Results may lead to guidelines and recommendations, proposals
> for new standards development, start of new research activities, and the
> documentation of best current practices regarding implementation and
> configuration.
> 
> - Workshop Style
> 
> The workshop‚s main focus will be on the discussions of technical topics.
> (This is not a mini-conference where every author just briefly talks about
> their papers.)
> 
> In order to keep the group at a manageable size, participants are
> required to submit a position paper as an expression of interest.
> Submitters of accepted position papers will be invited to attend the
> workshop. Active participation will be expected.
> 
> The workshop will be structured as a series of working sessions
> punctuated by invited speakers who will present relevant background
> information or controversial ideas that help participants reach a deeper
> understanding of the subject. The organizing committee may ask submitters
> of particularly salient papers to present their ideas and experiences at
> the workshop. For each slot, there will be one or two invited
> controversial speakers, and group work on the problem that‚s identified,
> hopefully reaching either a deeper understanding of the problem or some
> means of approaching it.
> 
> - Important Dates
> 
> Position papers must be submitted at latest February, 11th, 2011. Note:
> An early submission allows us to provide you feedback!
> 
> Submitted position papers will be reviewed immediately by the program
> organizers and an invitation to the workshop will be sent to one of the
> paper authors. At the latest, invitations will be distributed by February,
> 25th.
> 
> This one-day workshop will take place on Friday, 25th March, 2011, right
> before the 80th IETF meeting in Prague, which starts on Sunday, 27th
> March. Independent of this workshop but relevant for the participants, are
> tutorial events on Saturday, 26th March 2011. These tutorials will focus
> on ongoing IETF efforts related to the IETF CoRE, ROLL, and 6LoWPAN
> working groups. More details can be found at:
> 
> - Position Paper Requirements
> 
> Interested parties must submit a brief contribution describing their work
> or approach, as it relates to the workshop theme. We welcome visionary
> ideas for how to tackle the integration of constrained devices, as well as
> write-ups of deployment experience, and lessons-learned from successful or
> failed attempts at integrating these constrained devices with the
> Internet. Contributions are not required to be original in content.
> 
> We solicit brief write-ups with 1 to 3 pages, formatted in HTML, PDF, or
> plain text (for example as a submitted Internet Draft). We encourage paper
> authors to limit themselves on the most important challenge. A focused
> message will be key! Accepted position papers will be published (in
> addition to meeting minutes, slides, and a workshop report).
> 
> Please send your position paper to [email-masked].
> 
> - Venue
> 
> The planned date and location for the workshop is Friday, March 25th, in
> Prague. Details about the meeting venue will be provided to the invited
> workshop participants. During the breaks coffee and tea will be served.
> 
> There are no plans for remote participation. Minutes of discussions will
> be available, and offers to organize audio recording would be gladly
> appreciated.
> 
> - Workshop Organizers
> 
> We look forward to your input. The workshop organizers are Jari Arkko
> (Internet Area Director), Hannes Tschofenig (IAB), Bernard Aboba (IAB),
> Carsten Bormann (CoRE and 6LoWPAN WG Chair), David Culler (ROLL WG Chair),
> Lars Eggert (Transport Area Director, and upcoming IRTF Chair), JP Vasseur
> (ROLL WG Chair), Stewart Bryant (Routing Area Director), Adrian Farrel
> (Routing Area Director), Ralph Droms (Internet Area Director), Geoffrey
> Mulligan (6LoWPAN WG Chair), Alexey Melnikov (Applications Area Director),
> Peter Saint-Andre (Applications Area Director), Marcelo Bagnulo (IAB),
> Zach Shelby (Smart Power Directorate), Isidro Ballesteros Laso (European
> Commission), Fred Baker (Member of the Smart Power Directorate and liaison
> to the US Smart Grid Interoperability Panel - SGIP).
> 
> Up-to-date information about the workshop is available at:
> http://www.iab.org/about/workshops/smartobjects/
> 
> Feel free to contact us at [email-masked].
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce